//================= Hercules Configuration ================================
//=       _   _                     _
//=      | | | |                   | |
//=      | |_| | ___ _ __ ___ _   _| | ___  ___
//=      |  _  |/ _ \ '__/ __| | | | |/ _ \/ __|
//=      | | | |  __/ | | (__| |_| | |  __/\__ \
//=      \_| |_/\___|_|  \___|\__,_|_|\___||___/
//================= License ===============================================
//= This file is part of Hercules.
//= http://herc.ws - http://github.com/HerculesWS/Hercules
//=
//= Copyright (C) 2014-2019  Hercules Dev Team
//=
//= Hercules is free software: you can redistribute it and/or modify
//= it under the terms of the GNU General Public License as published by
//= the Free Software Foundation, either version 3 of the License, or
//= (at your option) any later version.
//=
//= This program is distributed in the hope that it will be useful,
//= but WITHOUT ANY WARRANTY; without even the implied warranty of
//= MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//= GNU General Public License for more details.
//=
//= You should have received a copy of the GNU General Public License
//= along with this program.  If not, see <http://www.gnu.org/licenses/>.
//=========================================================================
// Battle (Client) Configuration File
//=========================================================================
// Note 1: Value is a config switch (true/false)
// Note 2: Value is in percents (100 means 100%)
// Note 3: Value is a bit field. If no description is given,
//         assume unit types (1: Pc, 2: Mob, 4: Pet, 8: Homun, 16: Mercenary)
//=========================================================================

// Whether to enable the official packet obfuscation support (good vs WPE)
// 0: disabled
// 1: optional (not recommended) -- identifies whether it is required
// 2: enabled (recommended)
packet_obfuscation: 0

// Minimum delay between whisper/global/party/guild messages (in ms)
// Messages that break this threshold are silently omitted.
min_chat_delay: 20

// Valid range of dyes and styles on the client.
min_hair_style: 0
max_hair_style: 29
min_hair_color: 0
max_hair_color: 20
min_cloth_color: 0
max_cloth_color: 4
min_body_style: 0
max_body_style: 4

// When set to true, the damage field in packets sent from woe maps will be set
// to -1, making it impossible for GMs, Bots and Hexed clients to know the
// actual damage caused by attacks. (Note 1)
hide_woe_damage: true

// "hair style" number that identifies pet.
// NOTE: The client uses the "hair style" field in the mob packet to tell them apart from mobs.
// This value is always higher than the max hair-style available in said client.
// Known values to work (all 2005 clients):
// older sakexes: 20
// sakexe 0614: 24
// sakexe 0628 (and later): 100
pet_hair_style: 100

// Visible area size (how many squares away from a player can they see)
area_size: 16

// Chat area size (how many squares away from a player can they chat)
chat_area_size: 16

// Area which monster death packets should be sent to.
// This should be set to the farthest distance a player can reach in 250ms
// after a monster dies.
// Setting it to (area_size + 18) (18 being the range of Monk's Snap skill)
// should be a great value
dead_area_size: 32

// Maximum walk path (how many cells a player can walk going to cursor)
// default: 17(official)
max_walk_path: 17

// Maximum allowed 'level' value that can be sent in unit packets.
// Use together with the aura_lv setting to tell when exactly to show the aura.
// NOTE: You also need to adjust the client if you want this to work.
// NOTE: Default is 99. Values above 127 will probably behave incorrectly.
// NOTE: If you don't know what this does, don't change it!!!
max_lv: 99

// Level required to display an aura.
// NOTE: This assumes that sending max_lv to the client will display the aura.
// NOTE: aura_lv must not be less than max_lv.
// Example: If max_lv is 99 and aura_lv is 150, characters with level 99~149
//          will be sent as being all level 98, and only characters with level
//          150 or more will be reported as having level 99 and show an aura.
aura_lv: 99

// Units types affected by max_lv and aura_lv settings. (Note 3)
// Note: If an unit type, which normally does not show an aura, is
//       set it will obtain an aura when it meets the level requirement.
// Default: 0 (none)
client_limit_unit_lv: 0

// Will tuxedo and wedding dresses be shown when worn? (Note 1)
wedding_modifydisplay: false

// Save Clothes color. (This will degrade performance) (Note 1)
save_clothcolor: true

// Save body styles? (Note 1)
save_body_style: false

// Do not display cloth colors for the wedding costume?
// Note: Both save_clothcolor and wedding_modifydisplay have to be enabled
// for this option to take effect. Set this to true if your cloth palettes
// pack doesn't has wedding palettes (or has less than the other jobs)
wedding_ignorepalette: false

// Do not display cloth colors for the Xmas costume?
// Set this to true if your cloth palettes pack doesn't has Xmas palettes (or has less than the other jobs)
xmas_ignorepalette: false

// Do not display cloth colors for the Summer costume?
// Set this to true if your cloth palettes pack doesn't has Summer palettes (or has less than the other jobs)
summer_ignorepalette: false

// Do not display cloth colors for the Hanbok costume?
// Set this to true if your cloth palettes pack doesn't has Hanbok palettes (or has less than the other jobs)
hanbok_ignorepalette: false

// Do not display cloth colors for the Oktoberfest costume?
// Set this to true if your cloth palettes pack doesn't has Oktoberfest palettes (or has less than the other jobs)
oktoberfest_ignorepalette: false

// Do not display cloth colors for the Summer 2 costume?
// Set this to true if your cloth palettes pack doesn't has Summer 2 palettes (or has less than the other jobs)
summer2_ignorepalette: false

// Show Hercules version to users when the login?
display_version: false

// When affected with the "Hallucination" status effect, send the effect to client? (Note 1)
// Note: Set to false if the client lags due to the "Wavy" screen effect.
display_hallucination: true

// Set this to 1 if your client supports status change timers and you want to use them
// Clients from 2009 onward support this
display_status_timers: true

// Randomizes the dice emoticon server-side, to prevent clients from forging
// packets for the desired number. (Note 1)
client_reshuffle_dice: true

// Sorts the character and guild storage before it is sent to the client.
// Official servers do not sort storage. (Note 1)
// NOTE: Enabling this option degrades performance.
client_sort_storage: false

// Duration of client's self mute in minutes.
// Note: Do not enable this, if you enabled commands for players,
// because the client sees multiple commands in succession as spam.
// Default: 0 (means disabled)
client_accept_chatdori: 0

// Limits use of blank (transparent) pixels in guild emblems to a set
// percentage of the total.
// Official servers do not enforce this technically to date, but some disallow
// use of blank emblems in their rules. (Note 2)
// A value of 100 (allowing 100% blank pixels) disables this check.
// NOTE: Enabling this option slightly degrades performance.
client_emblem_max_blank_percent: 100

// Show the MVP EXP reward message for clients 2013-12-23cRagexe and newer? (Note 1)
// kRO removed the packet and this re-enables the message.
// Official: false.
mvp_exp_reward_message: false

// Displays the same HP value as official servers do when a character is dead.
// (Note 1)
// On official servers, HP are never displayed as 0, but when dead, they
// display the value that will be shown after resurrection (50% HP for novice
// classes, 1 HP for other classes). Athena servers, instead, show the real
// value (0 when dead), to avoid confusion.
// Note: this is only a visual setting, and the server will internally handle
// it as 0 regardless of this. This means that scripts will know that the
// character has 0 HP when dead.
// Default: true (Official behavior)
display_fake_hp_when_dead: false

// Send ping timer
// For clients 20190320 Re+
// Interval in seconds for each timer invoke.
ping_timer_inverval: 30

// Send packets timeout in seconds before ping packet can be sent.
// For clients 20190320 Re+
ping_time: 20

// Drop or not connection after client send disconnect request packet
// Official is false
drop_connection_on_quit: true

// When to display the rate modifier messages?
// 0x0 - Never display rate modifier messages.
// 0x1 - Display rate modifier messages upon login.
// 0x2 - Display rate modifier messages upon map change.
// 0x4 - Display rate modifier messages upon teleporting (regardless of changing maps).
// Default: 0x1 (Official behavior.)
display_rate_messages: 0x1

// When to display the configuration messages and which? (Note 3)
//
// Flags for when to display the configuration messages:
// 0x000 - Never display configuration messages.
// 0x001 - Display configuration messages upon login. (Default. Should always be set.)
// 0x002 - Display configuration messages upon map change.
// 0x004 - Display configuration messages upon teleporting (regardless of changing maps).
//
// Flags for which configuration messages are displayed:
// 0x010 - Character's party invitation state. (Default.)
// 0x020 - Character's view equipment state. (Default.)
// 0x040 - Character's Urgent Call state. (Default.)
// 0x080 - Character's pet auto-feed state. (Default.)
// 0x100 - Character's homunculus auto-feed state. (Default.)
//
// Default: 0x1F1 (Official behavior.)
display_config_messages: 0x1F1

// When to display the overweight messages?
// 0x0 - Never display overweight messages.
// 0x1 - Display overweight messages upon login. (Default.)
// 0x2 - Display overweight messages upon map change. (Default.)
// Default: 0x3 (Official behavior.)
display_overweight_messages: 0x3

// Show tip of the day window upon login?
show_tip_window: false
